import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/index_option_entity.g.dart';
import 'dart:convert';

/**
 * 筛选的数据Option
 */
@JsonSerializable()
class IndexOptionEntity {
  String? value = null;
  String? txt = null;
  String? selected = null;
  String? checked = null;

  IndexOptionEntity();

  factory IndexOptionEntity.fromJson(Map<String, dynamic> json) => $IndexOptionEntityFromJson(json);

  Map<String, dynamic> toJson() => $IndexOptionEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}